Panda3D

Public Member Functions | Public Attributes | List of all members
AICharacter Class Reference
Inheritance diagram for AICharacter:

## Public Member Functions
| AICharacter (std::string model_name, NodePath model_np, double mass, double movt_force, double max_force)
AIBehaviors * | get_ai_behaviors ()
NodePath | get_char_render ()
double | get_mass ()
double | get_max_force ()
NodePath | get_node_path ()
LVecBase3 | get_velocity ()
void | set_char_render (NodePath render)
void | set_mass (double m)
void | set_max_force (double max_force)
void | set_node_path (NodePath np)
void | set_pf_guide (bool pf_guide)
void | set_velocity (LVecBase3 vel)
void | update ()
| Each character's update will update its AI and physics based on his resultant steering force. More...
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object. More...
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise. More...
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack. More...
void | ref () const
| Explicitly increments the reference count. More...
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero. More...
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus. More...
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus. More...
virtual bool | unref () const
| Explicitly decrements the reference count. More...
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one. More...
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object. More...
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object. More...
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Public Attributes
unsigned int | _ai_char_flock_id
NodePath | _ai_char_np
double | _mass
double | _max_force
double | _movt_force
std::string | _name
bool | _pf_guide
AIBehaviors * | _steering
LVecBase3 | _steering_force
LVecBase3 | _velocity
NodePath | _window_render
AIWorld * | _world
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count. More...

## Additional Inherited Members
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Detailed Description

Definition at line 29 of file aiCharacter.h.

## Member Function Documentation

## ◆ update()

void AICharacter::update | ( |  | ) |

Each character's update will update its AI and physics based on his resultant steering force.

This also makes the character look in the direction of the force.

Definition at line 44 of file aiCharacter.cxx.

References AIBehaviors::calculate_prioritized(), NodePath::get_pos(), AIBehaviors::is_off(), and NodePath::look_at().

Referenced by AIWorld::update().

The documentation for this class was generated from the following files:

- contrib/src/ai/aiCharacter.h
- contrib/src/ai/aiCharacter.cxx